Subject: Re: [PATCH] linkstation / kurobox support

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 02 Dec 2006 22:32:59 +1100

> > Can't you use the new PCI probing from arch/powerpc/kernel/of_platform
> > for this?
> 
> I wouldnt recomment it for 32 bits just yet ...

To be more precise... I suspect the code in there will not work properly
for 32 bits. The PCI code is still very very very different between
ppc32 and ppc64 (and both are broken in different ways).

I do plan to try to fix all of that up, but it's a complicated problem
(and the "generic" code doesn't help much as it's also broken in
different ways).

So for now, PCI related things have to be quite different between ppc32
and ppc64 unfortunately...

Ben.